"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.updateObjectInArray = void 0;
function updateObjectInArray(searchCriteria, updateCriteria) {
    const index = this.findIndex(searchCriteria);
    if (index === -1) {
        return false;
    }
    if (typeof updateCriteria == 'function') {
        updateCriteria(this[index]);
        return true;
    }
    this[index] = updateCriteria;
    return true;
}
exports.updateObjectInArray = updateObjectInArray;
